Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAGS2

    java.lang.Object
      org.netlib.lapack.SLAGS2

    public class SLAGS2

extends java.lang.Object

    SLAGS2 is a simplified interface to the JLAPACK routine slags2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAGS2 computes 2-by-2 orthogonal matrices U, V and Q, such
     *  that if ( UPPER ) then
     *
     *            U'*A*Q = U'*( A1 A2 )*Q = ( x  0  )
     *                        ( 0  A3 )     ( x  x  )
     *  and
     *            V'*B*Q = V'*( B1 B2 )*Q = ( x  0  )
     *                        ( 0  B3 )     ( x  x  )
     *
     *  or if ( .NOT.UPPER ) then
     *
     *            U'*A*Q = U'*( A1 0  )*Q = ( x  x  )
     *                        ( A2 A3 )     ( 0  x  )
     *  and
     *            V'*B*Q = V'*( B1 0  )*Q = ( x  x  )
     *                        ( B2 B3 )     ( 0  x  )
     *
     *  The rows of the transformed A and B are parallel, where
     *
     *    U = (  CSU  SNU ), V = (  CSV SNV ), Q = (  CSQ   SNQ )
     *        ( -SNU  CSU )      ( -SNV CSV )      ( -SNQ   CSQ )
     *
     *  Z' denotes the transpose of Z.
     *
     *
     *  Arguments
     *  =========
     *
     *  UPPER   (input) LOGICAL
     *          = .TRUE.: the input matrices A and B are upper triangular.
     *          = .FALSE.: the input matrices A and B are lower triangular.
     *
     *  A1      (input) REAL
     *  A2      (input) REAL
     *  A3      (input) REAL
     *          On entry, A1, A2 and A3 are elements of the input 2-by-2
     *          upper (lower) triangular matrix A.
     *
     *  B1      (input) REAL
     *  B2      (input) REAL
     *  B3      (input) REAL
     *          On entry, B1, B2 and B3 are elements of the input 2-by-2
     *          upper (lower) triangular matrix B.
     *
     *  CSU     (output) REAL
     *  SNU     (output) REAL
     *          The desired orthogonal matrix U.
     *
     *  CSV     (output) REAL
     *  SNV     (output) REAL
     *          The desired orthogonal matrix V.
     *
     *  CSQ     (output) REAL
     *  SNQ     (output) REAL
     *          The desired orthogonal matrix Q.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAGS2()`

Method Summary
`static void` | `SLAGS2(boolean upper, float a1, float a2, float a3, float b1, float b2, float b3, floatW csu, floatW snu, floatW csv, floatW snv, floatW csq, floatW snq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAGS2

    public SLAGS2()

Method Detail

### SLAGS2

    public static void SLAGS2(boolean upper,
                              float a1,
                              float a2,
                              float a3,
                              float b1,
                              float b2,
                              float b3,
                              floatW csu,
                              floatW snu,
                              floatW csv,
                              floatW snv,
                              floatW csq,
                              floatW snq)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD